Package wx :: Module animate :: Class AnimationCtrlBase

[frames | no frames]

## Type AnimationCtrlBase

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            AnimationCtrlBase

Known Subclasses:
  `AnimationCtrl`

Proxy of C++ AnimationCtrlBase class

Method Summary
| `__init__(self)`
Animation | `GetAnimation(self)`
Bitmap | `GetInactiveBitmap(self)`
bool | `IsPlaying(self)`
bool | `LoadFile(self, filename, type)`
bool | `Play(self)`
| `SetAnimation(self, anim)`
| `SetInactiveBitmap(self, bmp)`
| `Stop(self)`

Property Summary
| `Animation`
| `InactiveBitmap`
| `thisown`: The membership flag

Property Details

### Animation

  Get Method:
    `GetAnimation`(self)
  Set Method:
    `SetAnimation`(self, anim)

### InactiveBitmap

  Get Method:
    `GetInactiveBitmap`(self)
  Set Method:
    `SetInactiveBitmap`(self, bmp)

### thisown

The membership flag

  Get Method:
    unknown--1216579124(...)
  Set Method:
    unknown--1216579068(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:31 2007 | http://epydoc.sf.net